Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.command
Class StartProcessInstanceCommand

    java.lang.Object
      org.jbpm.command.NewProcessInstanceCommand
          org.jbpm.command.StartProcessInstanceCommand

All Implemented Interfaces:
  java.io.Serializable, Command

    public class StartProcessInstanceCommand

extends NewProcessInstanceCommand
implements Command

Graph command to start a new process and signal it immidiatly. The transition named in `startTransitionName` is used (or the default transition if it is null). The result of this command, if requested, is a `Long` value containing the process instance id.

Author:
  Jim Rigsbee, Tom Baeyens, Bernd Ruecker
See Also:
  Serialized Form

Constructor Summary
`StartProcessInstanceCommand()`

Method Summary
`java.lang.Object` | `execute(JbpmContext jbpmContext)` return the id of the newly created process instance.
`java.lang.String` | `getStartTransitionName()`
`void` | `setStartTransitionName(java.lang.String startTransitionName)`

Methods inherited from class org.jbpm.command.NewProcessInstanceCommand
`getActorId, getKey, getProcessId, getProcessName, getVariables, isCreateStartTask, setActorId, setCreateStartTask, setKey, setProcessId, setProcessName, setVariables`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StartProcessInstanceCommand

    public StartProcessInstanceCommand()

Method Detail

### execute

    public java.lang.Object execute(JbpmContext jbpmContext)
                             throws java.lang.Exception

  Description copied from class: `NewProcessInstanceCommand`
  return the id of the newly created process instance.

  Specified by:
    `execute` in interface `Command`
  Overrides:
    `execute` in class `NewProcessInstanceCommand`
  Throws:
    `java.lang.Exception`

### getStartTransitionName

    public java.lang.String getStartTransitionName()

### setStartTransitionName

    public void setStartTransitionName(java.lang.String startTransitionName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD